org.apache.ignite.mxbean

## Interface WorkersControlMXBean

-     @MXBeanDescription(value="MBean that provides ability to terminate worker that registered in the workers registry.")
      public interface WorkersControlMXBean

  MBean that provides ability to terminate worker that registered in the workers registry.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getWorkerNames()` Returns names of all registered workers.
    `boolean` | `stopThreadById(long id)` Stops thread by `id`, if exists.
    `boolean` | `stopThreadByUniqueName(String name)` Stops thread by `name`, if exists and unique.
    `boolean` | `terminateWorker(String name)` Terminates worker.

- - ### Method Detail

    - #### getWorkerNames

          @MXBeanDescription(value="Names of registered workers.")
          List<String> getWorkerNames()

      Returns names of all registered workers.
      Returns:
        Worker names.

    - #### terminateWorker

          @MXBeanDescription(value="Terminates worker.")
          boolean terminateWorker(@MXBeanParameter(name="name",description="Name of worker to terminate.")
                                                                                 String name)

      Terminates worker.
      Parameters:
        `name` - Worker name.
      Returns:
        `True` if worker has been terminated successfully, `false` otherwise.

    - #### stopThreadByUniqueName

          @MXBeanDescription(value="Stops thread by unique name.")
          boolean stopThreadByUniqueName(@MXBeanParameter(name="name",description="Name of thread to stop.")
                                                                                                  String name)

      Stops thread by `name`, if exists and unique.
      Parameters:
        `name` - Thread name.
      Returns:
        `True` if thread has been stopped successfully, `false` otherwise.

    - #### stopThreadById

          @MXBeanDescription(value="Stops thread by id.")
          boolean stopThreadById(@MXBeanParameter(name="id",description="Id of thread to stop.")
                                                                                 long id)

      Stops thread by `id`, if exists.
      Parameters:
        `id` - Thread id.
      Returns:
        `True` if thread has been stopped successfully, `false` otherwise.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023